Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.pro	(revision 226)
@@ -5,27 +5,21 @@
 ; @categories
 ;
-; 
+;
 ; @param EVENT
 ;
-; 
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;
-; @todo 
+; @todo
 ; seb
 ;-
@@ -39,5 +33,5 @@
 
   case event.value of
-    'Open' :begin 
+    'Open' :begin
       oldmeshparams = ccmeshparameters
       newfile = selectfile()
@@ -62,5 +56,5 @@
 ; What is the selected field ? Do we reselect it ?
       fieldname = widget_info(vlstid, /combobox_gettext)
-      index = where(newfile.fileparameters.listvar EQ fieldname) 
+      index = where(newfile.fileparameters.listvar EQ fieldname)
       widget_control, vlstid, set_value = newfile.fileparameters.listvar
       widget_control, vlstid, set_combobox_select = 0 > index[0]
@@ -117,5 +111,5 @@
       xxx, CALLERWIDID = event.top, _extra = extra
     end
-    'Quit':begin 
+    'Quit':begin
       widget_control, event.top, get_uvalue = top_uvalue
       ptr_free, extractatt(top_uvalue, 'exextra')
@@ -142,5 +136,5 @@
                  , /POSTSCRIPT
     END
-    'Animated gif' :begin 
+    'Animated gif' :begin
       IF float(strmid(!version.release,0,3)) GE 6.2 THEN xcreateanim, event.top
     end
@@ -174,5 +168,5 @@
       widget_control, event.top, get_uvalue = top_uvalue
 ; portrait or landscape ???
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       optionsflag = extractatt(top_uvalue, 'optionsflag')
       portrait = (optionsflag[where(options EQ 'Portrait/Landscape'), 0])[0]
@@ -203,5 +197,5 @@
       ENDIF
 ; We recuperate the name of the file
-      filename = xquestion('dans quel fichier bianire voulez vous sauver le widget ?', 'xxx_widget.dat')
+      filename = xquestion('In which binary file do you want to save the widget ?', 'xxx_widget.dat')
 ; We complete it by a .dat
       if rstrpos(filename, '.dat') NE strlen(filename)-4 then filename = filename+'.dat'
@@ -219,5 +213,5 @@
       for i = 0,  n_elements(commande)-1 do print, commande[i]
     end
-   'Portrait/Landscape' :begin 
+   'Portrait/Landscape' :begin
       widget_control, event.top, get_uvalue = top_uvalue
       options = extractatt(top_uvalue, 'options')
@@ -255,8 +249,8 @@
       ENDELSE
     end
-    'Overlay' :begin 
+    'Overlay' :begin
       widget_control, event.top, get_uvalue = top_uvalue
       numdessinin = (extractatt(top_uvalue, 'smallin'))[2]-1
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Overlay')
@@ -269,5 +263,5 @@
       widget_control, event.top, get_uvalue = top_uvalue
       numdessinin = (extractatt(top_uvalue, 'smallin'))[2]-1
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Vecteur')
@@ -280,5 +274,5 @@
       widget_control, event.top, get_uvalue = top_uvalue
       numdessinin = (extractatt(top_uvalue, 'smallin'))[2]-1
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Longitude / x index')
@@ -314,8 +308,8 @@
       (*top_uvalue[1, findline(top_uvalue, 'domaines')])[*, numdessinin] = boxzoom
     end
-    'Latitude / y index':begin 
+    'Latitude / y index':begin
       widget_control, event.top, get_uvalue = top_uvalue
       numdessinin = (extractatt(top_uvalue, 'smallin'))[2]-1
-      options = extractatt(top_uvalue, 'options')   
+      options = extractatt(top_uvalue, 'options')
       flags = extractatt(top_uvalue, 'optionsflag')
       index = where(options EQ 'Latitude / y index')
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_calendar.pro	(revision 226)
@@ -7,9 +7,9 @@
 ;    case uval of
 ;       'done':widget_control, event.top, /destroy
-;       'set':BEGIN 
+;       'set':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, ComboboxId, set_value = value
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, ComboboxId, get_value = value
 ;          help,  value, /struct
@@ -40,8 +40,7 @@
 ; @file_comments
 ;
-;
-; @categories
-; Compound widget
-; 
+; @categories
+; Compound widget
+;
 ; @param ID
 ;
@@ -51,19 +50,14 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -71,5 +65,5 @@
 PRO cw_calendar_set_value, id, value
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
 ;
@@ -79,9 +73,9 @@
   widget_control, winfo_id, get_uvalue = infowid
   key_caltype = infowid.caltype
-  
+
 ; high freqeuncy calendar
   IF keyword_set(infowid.fakecal) THEN BEGIN
     value2 = date2jul(long(value)) - infowid.fakecal
-    IF value2 LT n_elements(infowid.calendar) AND value2 GE 0 THEN BEGIN  
+    IF value2 LT n_elements(infowid.calendar) AND value2 GE 0 THEN BEGIN
       stepid = widget_info(id, find_by_uname = 'step')
       widget_control, stepid, set_value = {combobox_select:value2}
@@ -89,5 +83,5 @@
       widget_control, winfo_id, set_uvalue = infowid
     ENDIF
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
 ;
     value = long(value[0])
@@ -122,29 +116,24 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
 FUNCTION cw_calendar_get_value, id
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
   winfo_id = widget_info(id, find_by_uname = 'infocal')
@@ -159,5 +148,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
@@ -167,24 +156,19 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
-; $Id$
-;-
-FUNCTION get_cal_value, id, winfoid 
-;
-  compile_opt strictarr, strictarrsubs 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
+; $Id$
+;-
+FUNCTION get_cal_value, id, winfoid
+;
+  compile_opt strictarr, strictarrsubs
 ;
   winfo_id = widget_info(id, find_by_uname = 'infocal')
@@ -202,5 +186,5 @@
     widget_control, wid_id, get_value = wid_value
     allmonths = string(format = '(C(CMoA))', 31*(indgen(12)))
-    month = (where(allmonths EQ wid_value.combobox_gettext))[0] + 1 
+    month = (where(allmonths EQ wid_value.combobox_gettext))[0] + 1
     date = date + 100L * long(month)
   ENDIF ELSE date = date + (oldate MOD 10000L)/100L*100L
@@ -224,5 +208,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
@@ -235,24 +219,19 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
 PRO set_cal_combobox, event, casename, date0
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
 ; casename: Which widget shall we move: 'day', 'month' or 'year' ?
@@ -269,10 +248,10 @@
 ; index of days/months/years according to date0
   case casename of
-    'day':BEGIN 
+    'day':BEGIN
 ; list of days corresponding to month0 and year0
       index = where(monthcal EQ month0 AND yearcal EQ year0)
       current = daycal[index]
     END
-    'month':BEGIN 
+    'month':BEGIN
 ; list of months corresponding to year0
       index = where(yearcal EQ year0)
@@ -283,5 +262,5 @@
       current = current[indexbis]
     END
-    'year':BEGIN 
+    'year':BEGIN
 ; keep only the uniq years
       index = uniq(yearcal)
@@ -297,5 +276,5 @@
   if casename EQ 'month' then begin
     widget_control, wid_id, set_value = string(format = '(C(CMoA))', 31*(current-1))
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     widget_control, wid_id, set_value = strtrim(current, 1)
   ENDELSE
@@ -310,5 +289,5 @@
     1:selected = 0
 ; 2: a new date has been specified...
-    2:BEGIN 
+    2:BEGIN
       case casename of
         'day':selected = (where(current EQ day0))[0]
@@ -325,5 +304,5 @@
 end
 ;----------------------------------------------------------------------
-; move cyclicly the calendar to the
+; move cyclically the calendar to the
 ; value 0 if event.out=1 or combobox_number-1 if event.out=-1
 ;+
@@ -333,5 +312,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
@@ -341,24 +320,19 @@
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
 PRO move, event, casename
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
    possiblecase = ['day', 'month', 'year', 'impossiblecase']
@@ -391,24 +365,19 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
 ;
 ; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;-
@@ -416,5 +385,5 @@
 ;
 @cm_4cal
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
   winfo_id = widget_info(event.handler, find_by_uname = 'infocal')
@@ -424,5 +393,5 @@
   widget_control, event.id, get_uvalue = uval
 ; high frequency calendar
-  IF uval.name EQ 'step' THEN BEGIN 
+  IF uval.name EQ 'step' THEN BEGIN
     infowid.date = jul2date(event.index + infowid.fakecal)
   ENDIF ELSE BEGIN
@@ -434,5 +403,5 @@
 ; we try to move the combobox just right, with name: possiblecase[whichcase+1]
       if widget_info(event.handler, find_by_uname = possiblecase[whichcase+1]) EQ 0 then BEGIN
-; this widget do not exist we set cyclicly the current widget to the
+; this widget do not exist we set cyclically the current widget to the
 ; value 0 if event.out=1 or combobox_number-1 if event.out=-1
         widget_control, event.id, get_value = widvalue
@@ -451,5 +420,5 @@
 ; we update the date
     infowid = get_cal_value(event.handler, winfo_id)
-  ENDELSE 
+  ENDELSE
 ;
   widget_control, winfo_id, set_uvalue = infowid
@@ -465,5 +434,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -474,41 +443,33 @@
 ; @param JDATE0
 ;
-; 
 ; @keyword CALTYPE
-; 
-; 
+;
 ; @keyword FAKECAL
 ;
-; 
+;
 ; @keyword UVALUE
 ;
-; 
 ; @keyword UNAME
 ;
-; 
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords
-; 
-; @returns
-; 
-; 
-; @uses
-; 
-; 
-; @restrictions
-; 
-; 
-; @examples
-; 
-; 
-; @history
-; 
-; 
-; @version 
+;
+; @returns
+;
+; @uses
+;
+; @restrictions
+;
+; @examples
+;
+; @history
+;
+; @version
 ; $Id$
 ;
 ; @todo
 ; seb
-; 
+;
 ;-
 FUNCTION cw_calendar, parent, calendar, jdate0, CALTYPE = CALTYPE, FAKECAL = fakecal, UVALUE = uvalue, UNAME = uname, _extra = ex
@@ -516,5 +477,5 @@
 @cm_4cal
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt strictarr, strictarrsubs
 ;
   if keyword_set(caltype) then key_caltype = caltype
@@ -547,9 +508,9 @@
                      , uvalue = {calendar:calendar, date:jul2date(jdate0), fakecal:fakecal, caltype: key_caltype})
 ;
-  IF keyword_set(fakecal) THEN BEGIN 
+  IF keyword_set(fakecal) THEN BEGIN
     cmbbid = cw_combobox_pm(base, UVALUE = {name:'step'}, UNAME = 'step' $
                             , value = strtrim(indgen(n_elements(calendar)), 1))
     widget_control, cmbbid, set_value = {combobox_select:(where(calendar EQ jdate0))[0]}
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
 ;
     vallen = widget_info(base, string_size = 'm')
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_combobox_pm.pro	(revision 226)
@@ -7,17 +7,17 @@
 ;    case uval of
 ;       'done':widget_control, event.top, /destroy
-;       'dynamic_resize':BEGIN 
+;       'dynamic_resize':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, ComboboxId, set_value = {dynamic_resize:value}
 ;       END
-;       'combobox_select':BEGIN 
+;       'combobox_select':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, ComboboxId, set_value = {combobox_select:value}
 ;       END
-;       'value':BEGIN 
+;       'value':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, ComboboxId, set_value = value
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, ComboboxId, get_value = value
 ;          help,  value, /struct
@@ -52,5 +52,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
@@ -60,19 +60,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -104,24 +99,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
-;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -147,24 +136,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
-;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -187,5 +170,5 @@
    case uval OF
       'plus':BEGIN
-         if index LT (cmbbnumb - 1) then BEGIN 
+         if index LT (cmbbnumb - 1) then BEGIN
            index = index + 1
            widget_control, ComboboxId, set_combobox_select = index
@@ -193,5 +176,5 @@
       END
       'minus':BEGIN
-         if index GT 0 then BEGIN 
+         if index GT 0 then BEGIN
            index = index - 1
            widget_control, ComboboxId, set_combobox_select = index
@@ -212,5 +195,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -219,15 +202,15 @@
 ; Buttons will be arranged in the number of columns
 ; specified by this keyword.
-; 
+;
 ; @keyword ROW
 ; Buttons will be arranged in the number of rows
 ; specified by this keyword.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword VALUE
 ;
@@ -258,5 +241,5 @@
 ;   index the array of names originally used to set the widget''s
 ;   value
-;   OUT:It is an integer which can take 3 values: 
+;   OUT:It is an integer which can take 3 values:
 ;       1 : If we press + when the index is already at the max
 ;       Comment: In this case, the index stay at the max
@@ -271,5 +254,5 @@
 ;       1) GET_VALUE
 ;   widget_control,wid_id,get_value=resultat
-;   Send back, in the result variable, a structure of 3 elements whose 
+;   Send back, in the result variable, a structure of 3 elements whose
 ;   names are inspired by keywords we can pass at widget_control when
 ;   we use WIDGET_COMBOBOX:
@@ -285,8 +268,8 @@
 ;       2) SET_VALUE
 ;   widget_control,wid_id,set_value=impose
-;   Allows to modify the state of the combobox like we can do it for 
-;   WIDGET_COMBOBOX. May impose: 
+;   Allows to modify the state of the combobox like we can do it for
+;   WIDGET_COMBOBOX. May impose:
 ;       a) The contents of the list widget (string or string array)
-;       b) A structure which can have for elements (from 1 to 3): 
+;       b) A structure which can have for elements (from 1 to 3):
 ;            DYNAMIC_RESIZE:Set this keyword to activate (if set to 1)
 ;            or deactivate (if set to 0) dynamic resizing of the
@@ -323,7 +306,7 @@
    IF (N_PARAMS() NE 1) THEN MESSAGE, 'Incorrect number of arguments'
    ON_ERROR, 2                  ;return to caller
-; cheking for row and column keywords
-   row = keyword_set(row)*(1-keyword_set(column)) 
-   column = keyword_set(column)*(1-keyword_set(row))+(keyword_set(column) EQ row) 
+; checking for row and column keywords
+   row = keyword_set(row)*(1-keyword_set(column))
+   column = keyword_set(column)*(1-keyword_set(row))+(keyword_set(column) EQ row)
    if NOT keyword_set(uvalue) then uvalue = ''
    if NOT keyword_set(uname) then uname = ''
@@ -333,9 +316,9 @@
                       , FUNC_GET_VALUE='cw_combobox_pm_get_value' $
                       , PRO_SET_VALUE='cw_combobox_pm_set_value' $
-                      , UVALUE = uvalue, UNAME = uname, _extra = ex)   
+                      , UVALUE = uvalue, UNAME = uname, _extra = ex) 
 ;
    vallen = widget_info(base, string_size = 'm')
    vallen = 35 + (vallen[0]-1)*max(strlen(value))
-   if keyword_set(row) THEN BEGIN 
+   if keyword_set(row) THEN BEGIN
      nothing = widget_button(base, value = '-', uvalue = 'minus', xoffset = 0 $
                              , yoffset = 5, xsize = 15, ysize = 15)
@@ -345,5 +328,5 @@
                              , xoffset = vallen+11, yoffset = 5 $
                              , xsize = 15, ysize = 15)
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
      nothing = widget_combobox(base, VALUE = value, UVALUE = 'Combobox', UNAME = 'Combobox' $
                                , xoffset = 0, yoffset = 0, xsize = vallen)
@@ -354,5 +337,5 @@
                              , xoffset = vallen/2 $
                              , yoffset = 24, xsize = 15, ysize = 15)
-   ENDELSE 
+   ENDELSE
 ;
 ;   widget_control,base,/realize
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_domain.pro	(revision 226)
@@ -12,5 +12,5 @@
 ;          widget_control, Id, set_value = boxzoom
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, Id, get_value = value
 ;          print,  value
@@ -45,5 +45,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
@@ -53,19 +53,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -86,5 +81,5 @@
 ; What is the type of boxzoom ?
    currentplot = (extractatt(top_uvalue, 'smallin'))[2]-1
-   options = extractatt(top_uvalue, 'options')   
+   options = extractatt(top_uvalue, 'options')
    flags = extractatt(top_uvalue, 'optionsflag')
    flags = flags[*, currentplot]
@@ -119,5 +114,5 @@
    Case N_Elements(Value) OF
       0:boxzoom = [lonn1, lonn2, latt1, latt2, vertf1, vertf2]
-      1:BEGIN 
+      1:BEGIN
          if value EQ -1 then boxzoom = [lonn1, lonn2, latt1, latt2, vertf1, vertf2] $
          ELSE boxzoom=[lonn1, lonn2, latt1, latt2, 0.,value[0]]
@@ -127,5 +122,5 @@
       5:boxzoom=[Value[0:3], 0, Value[4]]
       6:boxzoom = Value
-      Else:BEGIN 
+      Else:BEGIN
          rien = report('Wrong Definition of Boxzoom')
       END
@@ -151,5 +146,5 @@
       min = floor(min([glamt,glamf], max = max))
       max = ceil(max)
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       min = 0
       max = jpi-1
@@ -195,5 +190,5 @@
       min = floor(min([gphit,gphif], max = max))
       max = ceil(max)
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       min = 0
       max = jpj-1
@@ -250,5 +245,5 @@
       widget_control, dthlv2id, set_value = {value:strtrim(gdep2, 1)}
    ENDIF ELSE gdep2 = gdep1+1
-; We make sure that given depthes contain at least one level.
+; We make sure that given depths contains at least one level.
    if boxzoom[4] GT boxzoom[5] then begin
       rien = boxzoom[4]
@@ -256,5 +251,5 @@
       boxzoom[5] = rien
    endif
-; 
+;
    rien = where(gdep1 LT boxzoom[4], indice1)
    indice1 = indice1 < (jpk-1)
@@ -279,5 +274,5 @@
    widget_control, depth1id, set_value = {slider_min:min1, slider_max:max1, value:boxzoom[4]}
    min2 = gdep2[indice1]
-   if indice2 EQ jpk-1 then BEGIN 
+   if indice2 EQ jpk-1 then BEGIN
       max2 = max([gdept, gdepw])
       max2 = strtrim(string(max2,format='(e8.0)'), 1)
@@ -295,24 +290,19 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -337,24 +327,19 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -408,5 +393,5 @@
             widget_control, dthlv2id, set_value = {combobox_select:event.index}
 ; So we redefine the value and the max of the slider 2
-            if event.index EQ jpk-1 then BEGIN 
+            if event.index EQ jpk-1 then BEGIN
                max = max([gdept, gdepw])
                max = strtrim(string(max,format='(e8.0)'), 1)
@@ -417,6 +402,6 @@
 ; So we redefine the max of the slider 1
             widget_control, depth1id, set_value = {slider_max:gdep1[event.index]}
-         END 
-; We redefine the value and the min of the slider depth1 
+         END
+; We redefine the value and the min of the slider depth1
          if event.index EQ 0 then min = 0 ELSE min = gdep1[event.index-1]+1
          widget_control, depth1id, set_value = {slider_min:min, value:gdep1[event.index]}
@@ -443,7 +428,7 @@
 ; Se we redefine the min of the slider 2
             widget_control, depth2id, set_value = {slider_min:gdep2[event.index]}
-         END 
+         END
 ; We redefine the value and the max of the slider depth 2
-         if event.index EQ jpk-1 then BEGIN 
+         if event.index EQ jpk-1 then BEGIN
             max = max([gdept, gdepw])
             max = strtrim(string(max,format='(e8.0)'), 1)
@@ -488,5 +473,5 @@
             widget_control, dthlv2id, set_value = {combobox_select:indice}
 ; So we redefine the min of the slider 2
-            if indice EQ jpk-1 then BEGIN 
+            if indice EQ jpk-1 then BEGIN
                max = max([gdept, gdepw])
                max = strtrim(string(max,format='(e8.0)'), 1)
@@ -510,14 +495,14 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword STRICT
 ;
@@ -527,37 +512,32 @@
 ;
 ; @keyword BOXZOOM
-; Vector indicating the geographic zone on which we want to cut the map. 
-; If BOXZOOM has : 
+; Vector indicating the geographic zone on which we want to cut the map.
+; If BOXZOOM has :
 ;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
 ;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
 ;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
-;   6 elements: The extraction is made on Boxzoom 
+;   6 elements: The extraction is made on Boxzoom
 ; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
 ; @keyword _EXTRA
 ; Used to pass your keywords
-; 
+;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;
 ; @todo
 ; seb: Documenter
-; 
+;
 ;-
 FUNCTION cw_domain, parent, BOXZOOM = boxzoom, STRICT = strict, UVALUE = uvalue, UNAME = uname, UNZOOM = unzoom, _extra = ex
@@ -596,5 +576,5 @@
                      , FUNC_GET_VALUE = 'cw_domain_get_value' $
                      , PRO_SET_VALUE = 'cw_domain_set_value' $
-                     , UVALUE = uvalue, UNAME = uname, _extra = ex)   
+                     , UVALUE = uvalue, UNAME = uname, _extra = ex)
 ;------------------------------------------------
   baseh = widget_base(base, column = 1+keyword_set(unzoom), space = 0)
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_droplist_pm.pro	(revision 226)
@@ -6,17 +6,17 @@
 ;    case uval of
 ;       'done':widget_control, event.top, /destroy
-;       'dynamic_resize':BEGIN 
+;       'dynamic_resize':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, DroplistId, set_value = {dynamic_resize:value}
 ;       END
-;       'droplist_select':BEGIN 
+;       'droplist_select':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, DroplistId, set_value = {droplist_select:value}
 ;       END
-;       'value':BEGIN 
+;       'value':BEGIN
 ;          widget_control, event.id, get_value = value
 ;          widget_control, DroplistId, set_value = value
 ;       END
-;       'get':BEGIN 
+;       'get':BEGIN
 ;          widget_control, DroplistId, get_value = value
 ;          help,  value, /struct
@@ -54,7 +54,6 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
-;
 ;
 ; @param VALUE
@@ -62,19 +61,14 @@
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -104,23 +98,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param ID
 ;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -141,24 +130,18 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param EVENT
 ;
-;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;-
@@ -200,5 +183,5 @@
 ; @categories
 ; Compound widget
-; 
+;
 ; @param PARENT {in}{required}
 ; The widget ID of the parent widget.
@@ -207,15 +190,15 @@
 ; Buttons will be arranged in the number of columns
 ; specified by this keyword.
-; 
+;
 ; @keyword ROW
 ; Buttons will be arranged in the number of rows
 ; specified by this keyword.
-; 
+;
 ; @keyword UVALUE
 ; The user value to be associated with the widget.
-; 
+;
 ; @keyword UNAME
 ; The user name to be associated with the widget.
-; 
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords
@@ -243,5 +226,5 @@
 ;   index the array of names originally used to set the widget''s
 ;   value
-;   OUT:It is an integer which can take 3 values: 
+;   OUT:It is an integer which can take 3 values:
 ;       1 : If we press + when the index is already at the max
 ;       Comment: In this case, the index stay at the max
@@ -256,5 +239,5 @@
 ;       1) GET_VALUE
 ;   widget_control,wid_id,get_value=resultat
-;   Send back, in the result variable, a structure of 3 elements whose 
+;   Send back, in the result variable, a structure of 3 elements whose
 ;   names are inspired by keywords we can pass at widget_control when
 ;   we use WIDGET_COMBOBOX:
@@ -273,5 +256,5 @@
 ;   pour WIDGET_DROPLIST Impose peut etre:
 ;       a) The contents of the list widget (string or string array)
-;       b) A structure which can have for elements (from 1 to 3): 
+;       b) A structure which can have for elements (from 1 to 3):
 ;            DYNAMIC_RESIZE:Set this keyword to activate (if set to 1)
 ;            or deactivate (if set to 0) dynamic resizing of the
@@ -308,7 +291,7 @@
    IF (N_PARAMS() NE 1) THEN MESSAGE, 'Incorrect number of arguments'
    ON_ERROR, 2                  ;return to caller
-; cheking for row and column keywords
-   row = keyword_set(row)*(1-keyword_set(column)) 
-   column = keyword_set(column)*(1-keyword_set(row))+(keyword_set(column) EQ row) 
+; checking for row and column keywords
+   row = keyword_set(row)*(1-keyword_set(column))
+   column = keyword_set(column)*(1-keyword_set(row))+(keyword_set(column) EQ row)
    if NOT keyword_set(uvalue) then uvalue = ''
    if NOT keyword_set(uname) then uname = ''
@@ -318,5 +301,5 @@
                       , FUNC_GET_VALUE='cw_droplist_pm_get_value' $
                       , PRO_SET_VALUE='cw_droplist_pm_set_value' $
-                      , UVALUE = uvalue, UNAME = uname, _extra = ex)   
+                      , UVALUE = uvalue, UNAME = uname, _extra = ex)
 ;
    if keyword_set(row) THEN nothing = widget_button(base,value= '-', uvalue= 'minus')
